function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	picture_bubbles = nil;
	
	local object = play_field:GetObject('scales_active_zone')
	inventory_scales = CreateInventory(object:GetX(),
									   object:GetY(),
									   object:GetZ() + 1.,
									   object:GetName(),
									   CreateItem('weight1_tool', 'weight1'),
									   CreateItem('weight2_tool', 'weight2'),
									   CreateItem('weight3_tool', 'weight3_scaled'),
									   play_field:GetTimer(),
										"INVENTORY_TASK_14_1");
										
	play_field:GetObject('minigame_active'):SetVisible(false);
	
	inventory_scales.OnShown = function()
		RegisterZoomZone(zoom_drawer, 'drawer_active_zone')
	end
	
	inventory_scales.OnCompleteImmediate = function()
	    GetProfileManager():GetCurrentProfile():AddStateChanger('OnMinigameConditionsComplete')
	end
	
    inventory_scales.OnComplete = function()
		--	local object = play_field:GetObject('minigame_active')
		--	object:SetVisible(true);
		--	picture_bubbles = AddBubblesAnimation(play_field, 3, object:GetZ(), object:GetX(), object:GetY(), 0.25, 0.25, math.random(0, 1))	
		--	picture_bubbles:AttachTo(play_field)
		--	game_state.custom_cursors['minigame_active'] = 'CursorMech'
		PlaySound('14_NumberAppear')
		--load_screen('data/Scenes/Minigames/14_ballance.lua');
		TimerDo(play_field:GetTimer(), 0.01, load_screen, 'data/Scenes/Minigames/14_ballance.lua')
	end
	
	CreateTool('weight1', 'weight1')
	CreateTool('weight2', 'weight2')
	local t = CreateTool('weight3', 'weight3_scaled')
	
	t.OnSet = function()
	    zoom_drawer.SetVisible(false)
		game_state.locker:Release()		
	end
	
	t.OnSuccess = function()
		UnregisterZoomZone(zoom_drawer)
		--game_state.locked_objects['drawer_active_zone'] = true
	end
	
	t.OnFail = function()
	    play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    play_field:GetObject('drawer_active_zone'):GetX(),
                                    play_field:GetObject('drawer_active_zone'):GetY(),
                                    300)            
	end	
	
	zoom_drawer = CreateZoomZone('zoom_drawer_close',
								 '',
								 'zoom_bg',
                                 'weight3',
								 'Border',
								 'Border')	
    zoom_drawer.SetOffsetZ(500);								 
								 
	AddRandomTasks(18,
					CreateTask('APPLE', '', 'apple'),
					CreateTask('BIRD', '', 'bird'),					
					CreateTask('BRUSH1', '', 'brush'),
                    CreateTask('POCKET_WATCH', '', 'clock'),
					CreateTask('LEAF', '', 'leaf'),
					CreateTask('LIGHTBULB', '', 'lightbulb'),
					CreateTask('PICK', '', 'pick'),
					CreateTask('ROSE', '', 'rose'),
					CreateTask('RULER', '', 'ruler'),
					CreateTask('SEAHORSE', '', 'seahorse'),
					CreateTask('TROWEL', '', 'shovel'),
					CreateTask('STARFISH', '', 'star1'),
					CreateTask('STICK', '', 'stick'),
					CreateTask('WATERING_CAN', '', 'watering_can'),
					--CreateTask('SCISSORS', '', 'scissors'),
					CreateTask('BOW1', '', 'bow1'),
					CreateTask('CARROT', '', 'carrot'),
					CreateTask('GLOVES', '', 'gloves'),
					CreateTask('LIZZARD', '', 'lizzard'));
	play_field:GetObject('dvri'):GetAnimation():Stop()
	play_field:GetObject('dvri'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	
	game_state.all_items_found = false
	game_state.minigame_completed = false
	
	InitChain1(screen)
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
	InitChain2(screen)
	game_state.chain2.final = true
	AddSheriffEyeLogic()
	
	play_field:IgnoreOnTestPoint('light1')
	setFibrillationEffector(play_field:GetObject('light1'), 0.6)
	
	play_field:IgnoreOnTestPoint('light2')
	setFibrillationEffector(play_field:GetObject('light2'), 1.0)
	
	play_field:IgnoreOnTestPoint('light3')
	setFibrillationEffector(play_field:GetObject('light3'), 0.0)
	game_state.meta_object = 'cigar14'
	
	game_state.OnStartingComicsComplete = function()
		inventory_scales.Unlock()
	end
	
	game_state.OnScalesComplete = function()
		game_state.minigame_completed = true
		if game_state.all_items_found then
			OnWinConditionComplete()
		end
	end
	
	game_state.OnMinigameConditionsComplete = function()
	    if game_state.do_not_load_mini_game then
	        return
	    end
	    load_screen('data/Scenes/Minigames/14_ballance.lua')
	end
end

function InitChain1(screen)
    local comics1 = CreateComics(screen,
                                 'druggist')
                                 
     local comics2 = CreateComics(screen,
                                 'Sheriff',
								 'eyes')
								 
	local comics3 = CreateComics(screen,
                                 'druggist')
					
	comics3.OnHidden = function()
		comics3.DefaultOnHidden()
		inventory_scales.Unlock()
	end
	
    game_state.chain1 = CreateChain('pixel1',
                                    screen,
                                    comics1, GetString("COMICS_14_1"),
                                    comics2, GetString("COMICS_14_2"),
									comics3, GetString("COMICS_14_3"))
end

function InitChain2(screen)
    local comics1 = CreateComics(screen,
                                 'Sheriff',
								 'eyes')
								 
	local comics2 = CreateComics(screen,
                                 'druggist')
                                 
    local comics3 = CreateComics(screen,
                                 'Sheriff',
								 'eyes')
								 
	comics3.OnHidden = function()
	    local object = play_field:GetObject('dvri')
	    object:GetAnimation():Play()
	    local e, f = AddBubblesExplosion(object, play_field, 1, object:GetZ() + 10, 0, 0, 1, 1, 0)	
		TimerDo(play_field:GetTimer(), GetAnimationLength(object:GetAnimation()), OnWin)
	end
								 	
    game_state.chain2 = CreateChain('pixel2',
                                    screen,
                                    comics1, GetString("COMICS_14_7"),
                                    comics2, GetString("COMICS_14_8"),
									comics3, GetString("COMICS_14_9"))
end


function OnMinigameCompleted()
	game_state.minigame_completed = true
	GetProfileManager():GetCurrentProfile():AddStateChanger('OnScalesComplete')	
	if game_state.all_items_found then
		OnWinConditionComplete()
	end
end

function OnWinConditionComplete()
	game_state.chain2.Start()
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
	game_state.all_items_found = true
	if game_state.minigame_completed then
		OnWinConditionComplete()
	end
end

function OnNotebookOpened()
end


function OnUpdate(dt)
end

function OnScreenShown()
	game_state.chain1.Start()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
	
	--[[if('minigame_active' == obj_name) then
		play_field:ResetWrongClicksCount()
		play_field:GetObject('minigame_active'):SetVisible(false);
		load_screen('data/Scenes/Minigames/14_ballance.lua');
		picture_bubbles:Hide()
	end]]
	
    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('scales_active_zone',anim,465,385,110,0,10,13)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('minigame_active',anim,465,385,110,0,10,13)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/weight2.png',0,0,28,39,1,0)
	anim:SetHotSpot(14,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('weight2',anim,880,751,100,105,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/weight2.png',0,0,28,39,1,0)
	anim:SetHotSpot(14,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('weight2_tool',anim,928,128,100,105,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/zoom/weight3.png',0,0,61,94,1,0)
	anim:SetHotSpot(30,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('weight3_tool',anim,897,125,100,0,0.3,0.3)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/zoom/weight3.png',0,0,61,94,1,0)
	anim:SetHotSpot(30,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('weight3_scaled',anim,326,660,300,0,0.3,0.3)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('drawer_active_zone',anim,324,659,100,0,7,6)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/zoom/zoom_bg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_bg',anim,512,384,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/zoom/weight3.png',0,0,61,94,1,0)
	anim:SetHotSpot(30,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('weight3',anim,698,356,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Layers/BG.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Animations/dvri.png',0,0,122,227,3,3)
	anim:SetHotSpot(61,113)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dvri',anim,879,257,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Animations/vt.dds',0,0,67,369,12,12)
	anim:SetHotSpot(34,185)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vt',anim,991,407,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_ electric_shield_4/Animations/algae/bok.png',0,0,93,153,7,10)
	anim:SetHotSpot(47,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bok',anim,637,460,100,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/clock.png',0,0,71,67,1,0)
	anim:SetHotSpot(35,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock',anim,468,456,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/seahorse.png',0,0,37,88,1,0)
	anim:SetHotSpot(18,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seahorse',anim,705,492,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/star1.png',0,0,58,58,1,0)
	anim:SetHotSpot(29,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star1',anim,749,337,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/stick.png',0,0,56,184,1,0)
	anim:SetHotSpot(28,92)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stick',anim,980,454,108,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/watering_can.png',0,0,96,60,1,0)
	anim:SetHotSpot(48,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watering_can',anim,991,658,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/apple.png',0,0,33,30,1,0)
	anim:SetHotSpot(16,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple',anim,458,17,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/bow.png',0,0,33,277,1,0)
	anim:SetHotSpot(16,138)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bow',anim,383,588,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/brush.png',0,0,79,27,1,0)
	anim:SetHotSpot(39,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,802,744,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/leaf.png',0,0,54,88,1,0)
	anim:SetHotSpot(27,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('leaf',anim,384,386,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/lightbulb.png',0,0,42,69,1,0)
	anim:SetHotSpot(21,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lightbulb',anim,277,75,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/pick.png',0,0,62,76,1,0)
	anim:SetHotSpot(31,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pick',anim,683,185,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/rose.png',0,0,31,27,1,0)
	anim:SetHotSpot(15,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rose',anim,792,562,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/shovel.png',0,0,58,81,1,0)
	anim:SetHotSpot(29,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shovel',anim,210,30,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Layers/sprait_na_chasy.png',0,0,75,73,1,0)
	anim:SetHotSpot(37,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_na_chasy',anim,477,450,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Layers/sprait_na_yabloko.png',0,0,61,37,1,0)
	anim:SetHotSpot(30,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_na_yabloko',anim,453,28,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Layers/sprait_tufli.png',0,0,65,46,1,0)
	anim:SetHotSpot(32,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_tufli',anim,952,548,123,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Layers/sprait_zvety.png',0,0,139,163,1,0)
	anim:SetHotSpot(69,81)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_zvety',anim,165,90,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sheriff',anim,378,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,369,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/druggist.png',0,0,319,529,1,0)
	anim:SetHotSpot(159,264)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('druggist',anim,809,458,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Animations/nkl.png',0,0,82,231,1,0)
	anim:SetHotSpot(41,115)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('nkl',anim,973,354,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light1',anim,272,109,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light2',anim,463,164,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light3',anim,611,91,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/bird.png',0,0,35,82,1,0)
	anim:SetHotSpot(17,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bird',anim,425,303,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/ruler.png',0,0,114,41,1,0)
	anim:SetHotSpot(57,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ruler',anim,693,670,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/weight2.png',0,0,24,35,1,0)
	anim:SetHotSpot(12,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('weight1',anim,302,725,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/weight2.png',0,0,24,35,1,0)
	anim:SetHotSpot(12,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('weight1_tool',anim,869,123,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/bow1.png',0,0,34,36,1,0)
	anim:SetHotSpot(17,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bow1',anim,481,328,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/carrot.png',0,0,67,137,1,0)
	anim:SetHotSpot(33,68)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('carrot',anim,792,641,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/gloves.png',0,0,88,50,1,0)
	anim:SetHotSpot(44,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gloves',anim,616,616,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/lizzard.png',0,0,59,68,1,0)
	anim:SetHotSpot(29,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lizzard',anim,975,64,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Items/scissors.png',0,0,58,35,1,0)
	anim:SetHotSpot(29,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scissors',anim,871,658,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/cigar14.png',0,0,129,78,1,0)
	anim:SetHotSpot(64,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar14',anim,557,668,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_ pharmacy_counter_6/Animations/staia.dds',0,0,217,124,81,10)
	anim:SetHotSpot(109,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('staia',anim,738,468,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
